org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MeanTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MeanTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MeanTest.Traversals

- Enclosing class:
    MeanTest

      public static class MeanTest.Traversals
      extends MeanTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MeanTest

      `MeanTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<List<Integer>,Double>` | `get_g_injectXlistXnull_10_20_nullXX_meanXlocalX()`
    `Traversal<Integer,Double>` | `get_g_injectXnull_10_20_nullX_mean()`
    `Traversal<Vertex,Double>` | `get_g_V_age_fold_meanXlocalX()`
    `Traversal<Vertex,Double>` | `get_g_V_age_mean()`
    `Traversal<Vertex,Double>` | `get_g_V_aggregateXaX_byXageX_capXaX_unfold_mean()`
    `Traversal<Vertex,Double>` | `get_g_V_aggregateXaX_byXageX_meanXlocalX()`
    `Traversal<Vertex,Double>` | `get_g_V_aggregateXaX_byXfooX_capXaX_unfold_mean()`
    `Traversal<Vertex,Double>` | `get_g_V_aggregateXaX_byXfooX_meanXlocalX()`
    `Traversal<Vertex,Number>` | `get_g_V_foo_fold_meanXlocalX()`
    `Traversal<Vertex,Number>` | `get_g_V_foo_mean()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MeanTest

      `g_injectXlistXnull_10_20_nullXX_meanXlocalX, g_injectXnull_10_20_nullX_mean, g_V_age_mean, g_V_aggregateXaX_byXageX_meanXlocalX, g_V_aggregateXaX_byXfooX_capXaX_unfold_mean, g_V_aggregateXaX_byXfooX_meanXlocalX, g_V_foo_mean, g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_age_mean

          public Traversal<Vertex,Double> get_g_V_age_mean()

      Specified by:
        `get_g_V_age_mean` in class `MeanTest`

    - #### get_g_V_aggregateXaX_byXfooX_meanXlocalX

          public Traversal<Vertex,Double> get_g_V_aggregateXaX_byXfooX_meanXlocalX()

      Specified by:
        `get_g_V_aggregateXaX_byXfooX_meanXlocalX` in class `MeanTest`

    - #### get_g_V_aggregateXaX_byXfooX_capXaX_unfold_mean

          public Traversal<Vertex,Double> get_g_V_aggregateXaX_byXfooX_capXaX_unfold_mean()

      Specified by:
        `get_g_V_aggregateXaX_byXfooX_capXaX_unfold_mean` in class `MeanTest`

    - #### get_g_V_age_fold_meanXlocalX

          public Traversal<Vertex,Double> get_g_V_age_fold_meanXlocalX()

      Specified by:
        `get_g_V_age_fold_meanXlocalX` in class `MeanTest`

    - #### get_g_V_foo_mean

          public Traversal<Vertex,Number> get_g_V_foo_mean()

      Specified by:
        `get_g_V_foo_mean` in class `MeanTest`

    - #### get_g_V_foo_fold_meanXlocalX

          public Traversal<Vertex,Number> get_g_V_foo_fold_meanXlocalX()

      Specified by:
        `get_g_V_foo_fold_meanXlocalX` in class `MeanTest`

    - #### get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX

          public Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX()

      Specified by:
        `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX` in class `MeanTest`

    - #### get_g_V_aggregateXaX_byXageX_meanXlocalX

          public Traversal<Vertex,Double> get_g_V_aggregateXaX_byXageX_meanXlocalX()

      Specified by:
        `get_g_V_aggregateXaX_byXageX_meanXlocalX` in class `MeanTest`

    - #### get_g_V_aggregateXaX_byXageX_capXaX_unfold_mean

          public Traversal<Vertex,Double> get_g_V_aggregateXaX_byXageX_capXaX_unfold_mean()

      Specified by:
        `get_g_V_aggregateXaX_byXageX_capXaX_unfold_mean` in class `MeanTest`

    - #### get_g_injectXnull_10_20_nullX_mean

          public Traversal<Integer,Double> get_g_injectXnull_10_20_nullX_mean()

      Specified by:
        `get_g_injectXnull_10_20_nullX_mean` in class `MeanTest`

    - #### get_g_injectXlistXnull_10_20_nullXX_meanXlocalX

          public Traversal<List<Integer>,Double> get_g_injectXlistXnull_10_20_nullXX_meanXlocalX()

      Specified by:
        `get_g_injectXlistXnull_10_20_nullXX_meanXlocalX` in class `MeanTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.